Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » EMF "Technology" (Ecore Tools, EMFatic, etc)  » [EEF] Migrate 1.0 Not using EMF ItemProvider
[EEF] Migrate 1.0 Not using EMF ItemProvider [message #685651] Fri, 17 June 2011 23:46 Go to next message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1341
Registered: July 2009
Senior Member
Hi,

I managed to get EEF to use my EMF defined ItemProviders in previous versions but now they don't seem to be working for 0.9+. Any ideas about what I might be missing?

thanks,

Miles
Re: [EEF] Migrate 1.0 Not using EMF ItemProvider [message #685983 is a reply to message #685651] Tue, 21 June 2011 09:05 Go to previous messageGo to next message
Stephane Bouchet is currently offline Stephane BouchetFriend
Messages: 280
Registered: July 2009
Senior Member
Hi Miles,

We haven't made any change in the ItemProvider management between the 0.9 and the 1.0 versions. Can you explain your problem a little more ?

Re: [EEF] Migrate 1.0 Not using EMF ItemProvider [message #686134 is a reply to message #685651] Mon, 20 June 2011 08:51 Go to previous messageGo to next message
Goulwen Le Fur is currently offline Goulwen Le FurFriend
Messages: 125
Registered: July 2009
Senior Member
Hi Miles,

We haven't made any change in the ItemProvider management between the
0.9 and the 1.0 versions. Can you explain your problem a little more ?

--
Goulwen

Le 18/06/2011 01:46, Miles Parker a écrit :
> Hi,
>
> I managed to get EEF to use my EMF defined ItemProviders in previous
> versions but now they don't seem to be working for 0.9+. Any ideas about
> what I might be missing?
>
> thanks,
>
> Miles
Re: [EEF] Migrate 1.0 Not using EMF ItemProvider [message #686250 is a reply to message #685983] Tue, 21 June 2011 22:17 Go to previous message
Miles Parker is currently offline Miles ParkerFriend
Messages: 1341
Registered: July 2009
Senior Member
Stephane Bouchet wrote on Tue, 21 June 2011 05:05
Hi Miles,

We haven't made any change in the ItemProvider management between the 0.9 and the 1.0 versions. Can you explain your problem a little more ?



Sorry, let me start again. Smile I thought that EEF 09 and 1.0 had support for using EMF item providers out of the box. Previously I'd built my own. But the generated forms editors don't seem to be using my custome ItemProviders, i.e. mymodel.edit.
Previous Topic:[EEF] Multiple Generation errors with 1.0RC
Next Topic:[Teneo] Need ClassMetadata but it's not present
Goto Forum:
  


Current Time: Thu Oct 29 00:11:08 GMT 2020

Powered by FUDForum. Page generated in 0.02049 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top